
# Directory structure

There are five patients, P1, P2, P3, P4, and P5 in the study.
The scripts assume the data is located in the parent directory to where the scripts reside. 
For example, if the scripts are in `WGS_scripts/`, the data reside one level above.
For each patient there are three directories, one for each sample, e.g., P1/PXXXX_127, P1/PXXXX_128, P1/PXXXX_130. 
The samples are numbered in increasing fashion, corresponding to Time0, Organoid, and Tumor.
Within each sample there are two directories 05-CNA and 06-VCF containing the results of copy number and variant analysis performed on each sample.
We ran Strelka and Mutect2 to get variant calls, the results are in 06-VCF.
There is also a normal sample for each patient, e.g., P1/PXXXX_129.
To reproduce the figures in the paper, please request access to CNA and VCF data.

# Scripts

- `snv.py`: This script should run first.
	+ Processes the outputs from Strelka and Mutect2 and finds SNVs that are detected by both methods.
	+ This script computes the statistic on the shared mutations across three samples.
	+ Generates `snv_intersection.txt` under `06-VCF` for each sample.
- `snv_mut_type.R`: Generates driver genes with mutations and their effect types.
- `cna_individual.R`: Generates CNA plots for each patient and sample.
- `cna_comparison.R`: Generates CNA plots containing all patients and samples.
- `tSNE.R`: Generates tSNE plot using presence/absence of SNVs and CNAs for each sample.
- `helper_functions.R`: Plotting functions.
- `VAF_cor.R`: Computes correlation on variant allele frequencies (VAF) between Time0 (WTC) and Organoid (TSC).
	+ This file was added for revision and relies on `snv_mut_type.R` generating `snv_driver_genes.csv` file.

# Contact

Please send email to seonghwan_jun@urmc.rochester.edu for any questions regarding the code.
