### General information

Author: John Lövrot (edited by Emmanouil Sifakis)
Contact e-mail: john.lovrot@ki.se
DOI: 10.17044/scilifelab.21647783
License: CC BY 4.0
This readme file was last updated: 01-12-2022

### Description
This script collection includes scripts to reproduce the RNA-seq analysis as part of the study:
“Breast cancer patient-derived whole-tumor cell culture model for efficient drug profiling and treatment response prediction"
by Chen et al., 2022.
It is bundled as an R project.

### Objectives

1. To perform quality control of the ex-vivo model of breast cancer (part exvivo-1, see instructions below)
2. To investigate treatment by 4OHT and NDT in the ex-vivo model of breast cancer
    * Part exvivo-2a: In paralell, analyse 4OHT induced changes and NDT induced changes
    * Part exvivo-2b: Compare 4OHT-induced changes and NDT-induced changes
    * Part exvivo-2c: Explore individual patients (as model for precision/personalized medicine)

### Instructions

1. Run batch-process.R
2. [Knit](http://yihui.name/knitr/) reports/exvivo-1.Rmd
3. [Knit](http://yihui.name/knitr/) reports/exvivo-2ab.Rmd
4. [Knit](http://yihui.name/knitr/) reports/exvivo-2c.Rmd