derive_gseset <- function(eset, gsc_list) {
  ## Derive "gene-set metagene ExpressionSet" for the gene-set collection
  gsc_list <- lapply(gsc_list, intersect, fData(eset)$entrezid)
  
  gsexprs_list <- list()
  for (i in seq(along = gsc_list)) {
    x <- exprs(eset[fData(eset)$entrezid %in% gsc_list[[i]], ])
    gsexprs_list[[i]] <- colMeans(x)
  }
  names(gsexprs_list) <- names(gsc_list)
  gsexprs_mat <- do.call(rbind, gsexprs_list)
  
  gseset <- ExpressionSet(gsexprs_mat)
  pData(gseset) <- pData(eset)[colnames(gseset), ]
  fData(gseset) <- data.frame(
    row.names = row.names(gseset), 
    gsnam = row.names(gseset))
  
  stopifnot(validObject(gseset))  # check
  
  gseset
}
