samples_data <- samples_data %>%
  left_join(clin %>%
      dplyr::select(subjid, erval, erstat, prval, prstat, her2val, her2stat, ki67val, subtype, trigrp) %>%
      transmute(
        subjid = subjid,
        erval_surgery = erval, 
        erstat_surgery = erstat, 
        prval_surgery = prval, 
        prstat_surgery = prstat, 
        her2val_surgery = her2val, 
        her2stat_surgery = her2stat,
        ki67val_surgery = ki67val, 
        subtype_surgery = subtype,
        trigrp_surgery = trigrp), 
    by = "subjid") %>%
  left_join(
    mutate(clin, cellcd = "scraping"), 
    by = c("subjnum", "subjid", "cellcd")) %>%
  mutate(
    cellcd = factor(cellcd, c("scraping", "exvivo"))) %>%
  as.data.frame(row.names = samples_data$samplecd)
