require(MCPcounter)

eset <- exvivo[fData(exvivo)$entrezid %in% mcpcounter_gsig$ENTREZID, ]

eset <- averageExprsByFDataVar(eset, "entrezid")
featureNames(eset) <- as.character(fData(eset)$entrezid)
annotation(eset) <- "org.Hs.eg"
stopifnot(validObject(eset))

mcpcounter_res <- t(MCPcounter.estimate(
  expression = exprs(eset), featuresType = "ENTREZ_ID",
  genes = mcpcounter_gsig))

mcpcounter_df0 <- as.data.frame(mcpcounter_res)
colnames(mcpcounter_df0) <- gsub(" ", "_", 
  tolower(colnames(mcpcounter_df0)), fixed = TRUE)

mcpcounter_df0$samplecd <- rownames(mcpcounter_df0)

## Munge and append
tmp_pdata <-merge(pData(exvivo), mcpcounter_df0) %>%
  identity()
rownames(tmp_pdata) <- tmp_pdata$samplecd

pData(exvivo) <- tmp_pdata[sampleNames(exvivo), ]

stopifnot(validObject(exvivo))
