ProjectTemplate::reload.project()

## Data inclusion; objective 1, paired samples
eset <- exvivo[, exvivo$condcd %in% c("T0", "CTRL")]
n <- table(eset$subjid)
subjid_paired <- names(n[n == 2])
eset <- eset[, eset$subjid %in% subjid_paired]

design1 <- model.matrix(~ subjid + cellcd, data = pData(eset))

## edgeR: GLM approach
dge1 <- dge[, sampleNames(eset)]

keep <- rowSums(cpm(dge1) > 10) >= 2
dge1 <- dge1[keep, , keep.lib.sizes = FALSE]

dge1 <- calcNormFactors(dge1)  # default method is TMM

dge1<- estimateGLMCommonDisp(dge1, design1)
dge1 <- estimateGLMTrendedDisp(dge1, design1)
dge1 <- estimateGLMTagwiseDisp(dge1, design1)
dgeglm1 <- glmFit(dge1, design1)
lrt <- glmLRT(dgeglm1, coef = "cellcdexvivo")
topTags(lrt, adjust.method = "BH")

tab_de1 <- topTags(lrt, n = nrow(dge1), adjust.method = "BH")$table


head(tab_de1)

## Cache results
ProjectTemplate::cache("design1")
ProjectTemplate::cache("dge1")
ProjectTemplate::cache("tab_de1")

