ProjectTemplate::reload.project()

## Data inclusion; objective 2
eset <- exvivo[, exvivo$cellcd %in% "exvivo"]
eset <- eset[, eset$erstat_surgery %in% "ER+"]  # start with ER+
# eset <- eset[, eset$erstat_surgery %in% "ER+" & eset$prstat_surgery %in% "PR+"]

# OBS! remove patient RNA-11 from all of the 4OHT/CTRL vs NDT/CTRL analysis 
eset <- eset[, !sampleNames(eset) %in% sampleNames(eset)[grep("11_",sampleNames(eset))]]



n <- table(eset$subjid)
subjid_complete <- names(n[n == 3])  # complete data
eset <- eset[, eset$subjid %in% subjid_complete]

design2 <- model.matrix(~ subjid + armcd, data = pData(eset))

print(design2)

## edgeR: GLM approach
dge2 <- dge[, sampleNames(eset)]

keep <- rowSums(cpm(dge2) > 10) >= 2
dge2 <- dge2[keep, , keep.lib.sizes = FALSE]

dge2 <- calcNormFactors(dge2)  # default method is TMM

dge2 <- estimateGLMCommonDisp(dge2, design2)
dge2 <- estimateGLMTrendedDisp(dge2, design2)
dge2 <- estimateGLMTagwiseDisp(dge2, design2)
dgeglm2 <- glmFit(dge2, design2)
lrt1 <- glmLRT(dgeglm2, coef = "armcd4OHT")
lrt2 <- glmLRT(dgeglm2, coef = "armcdNDT")

topTags(lrt1, adjust.method = "BH")
topTags(lrt2, adjust.method = "BH")

tab_de2_4oht_v_ctrl <- topTags(lrt2, n = nrow(dge2), adjust.method = "BH")$table
tab_de2_ndt_v_ctrl <- topTags(lrt1, n = nrow(dge2), adjust.method = "BH")$table

head(tab_de2_4oht_v_ctrl)
head(tab_de2_ndt_v_ctrl)

## Cache results
ProjectTemplate::cache("design2")
ProjectTemplate::cache("dge2")
ProjectTemplate::cache("tab_de2_4oht_v_ctrl")
ProjectTemplate::cache("tab_de2_ndt_v_ctrl")
